Subject: Re: in.rarpd, NIS+, Solaris 2.1

From: [email-masked] (Olaf Schlueter)
Date: Fri, 1 Oct 1993 08:17:17 GMT

[email-masked] (Willard Dawson) writes:

>Try as I might, I've had absolutely no luck in getting a diskless client
>to "boot net" from a Solaris 2.1 boot server, while NIS+ (running in YP-
>compatibility mode "/usr/sbin/rpc.nisd -Y -r -S 0") is active.

"boot net" didn't work for me either running NIS, until I discoverd
that (probably) admintool had inserted the ethernet adresses with
leading zero's into ethers.org_dir, i.e. 08:00:20... instead of
8:0:20.  Should not break RARP but does. Obviously the bug is in
in.rarpd, which tries to match the "without leading zeros" ethernet
adress recieved in or generated from the RARP call against the "with
leading zeros" adress in ethers.org_dir literally. Removing the
leading zeros from the entries in ethers.org_dir made it working.

-- 
Olaf Schlüter, System Administrator, [email-masked]
Medical Diagnostic Computing GmbH, Düppelstr. 71, 24105 Kiel, Germany, 
Office Voice: 49-431-804220, Fax: 49-431-804230